RegexTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.property

## Class RegexTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.property.AbstractPropertySetterTask
      - - net.sf.antcontrib.property.RegexTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RegexTask
      extends AbstractPropertySetterTask

  Place class description here.
  Since:
  Author:
    Matthew Inger,

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tools.ant.types.RegularExpression` | `createRegexp()`
    `org.apache.tools.ant.types.Substitution` | `createReplace()`
    `protected java.lang.String` | `doReplace()`
    `protected java.lang.String` | `doSelect()`
    `void` | `execute()`
    `void` | `setCaseSensitive(boolean caseSensitive)`
    `void` | `setDefaultValue(java.lang.String defaultValue)`
    `void` | `setGlobal(boolean global)`
    `void` | `setInput(java.lang.String input)`
    `void` | `setRegexp(java.lang.String regex)`
    `void` | `setReplace(java.lang.String replace)`
    `void` | `setSelect(java.lang.String select)`
    `protected void` | `validate()`

    - ### Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask

      `setOverride, setProperty, setPropertyValue`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexTask

          public RegexTask()

  - ### Method Detail

    - #### setInput

          public void setInput(java.lang.String input)

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String defaultValue)

    - #### setRegexp

          public void setRegexp(java.lang.String regex)

    - #### createRegexp

          public org.apache.tools.ant.types.RegularExpression createRegexp()

    - #### setReplace

          public void setReplace(java.lang.String replace)

    - #### createReplace

          public org.apache.tools.ant.types.Substitution createReplace()

    - #### setSelect

          public void setSelect(java.lang.String select)

    - #### setCaseSensitive

          public void setCaseSensitive(boolean caseSensitive)

    - #### setGlobal

          public void setGlobal(boolean global)

    - #### doReplace

          protected java.lang.String doReplace()
                                        throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### doSelect

          protected java.lang.String doSelect()
                                       throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### validate

          protected void validate()

      Overrides:
        `validate` in class `AbstractPropertySetterTask`

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`